Rails.application.routes.draw do

  locales = Site.first.in_use_locales rescue I18n.available_locales
  
  scope "(:locale)", locale: Regexp.new(locales.join("|")) do
     post "/xhr/site/re_register_url", to: 'admin/register_api#re_register_url'
   namespace :admin do
   		get "/registered_site/change_access/:uid" => "registered_sites#change_access_status"
    	resources :registered_sites
    	resources :customization_logs do 
    		member do
    			get "get_log" => "customization_logs#get_log"
          post "archive" => "customization_logs#archive"
    		end
    	end
   end
  end
  
end
